import {select, arc} from "d3"

const eyeSpacingX = 70;
const eyeSpacingY = 50;

const svg = d3.select("svg");
const width = +(svg.attr("width"));
const height = +(svg.attr("height"));
const circle = svg.append("circle")
  .attr("r", 200)
	.attr("cx", width/2)
	.attr("cy", height/2)
	.attr("fill", "yellow")
	.attr("stroke", "black")
	
const leftEye = svg.append("circle")
	.attr("r", 30)
	.attr("cx", width/2 - eyeSpacingX)
	.attr("cy", height/2 - eyeSpacingY)
 .transition().duration(2000)
	.attr("cy", height/2 - 10)
 .transition().duration(2000)
	.attr("cy", height/2 - eyeSpacingY);

const rightEye = svg.append("circle")
	.attr("r", 30)
	.attr("cx", width/2 + eyeSpacingX)
	.attr("cy", height/2 - eyeSpacingY)
	.transition()
	.duration(1000)
	.attr("y", 30);

const group = svg.append("g")
	.attr("transform", "translate(460,250)");

const mouth = group.append("path")
	.attr("d", arc()({
  	innerRadius: 100,
  	outerRadius: 120,
  	startAngle: Math.PI*(2/3),
  	endAngle: Math.PI*(4/3)
	}));
	